> For the complete documentation index, see [llms.txt](https://docs.nubrick.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nubrick.app/reference/ios/events.md).

# Events

### NubrickEvent

{% hint style="info" %}
送信された `NubrickEvent` は、Nubrickサーバーに送信されます。
{% endhint %}

`NubrickEvent` は、`NubrickSDK.dispatch(...)` が呼び出された際にディスパッチされるイベントです。このイベントがディスパッチされると、イベントに一致したポップアップ実験を表示します。

```swift
public struct NubrickEvent: Sendable {
    public let name: String
    public init(_ name: String)
}
```

```swift
NubrickSDK.dispatch(NubrickEvent("<TRIGGER_EVENT_NAME>"))
```

### ComponentEvent

`ComponentEvent` は、エクスペリメントにユーザーがアクションしたときにディスパッチされるイベントです。\
例えば、ユーザーがエクスペリメント内でボタンをタップした際、`ComponentEvent` がディスパッチされ、そのプロパティが定義されます。

```swift
public struct ComponentEvent: Sendable {
    public let name: String?
    public let deepLink: String?
    public let payload: [EventProperty]?
}

public struct EventProperty: Sendable {
    public let name: String
    public let value: String
    public let type: EventPropertyType
}

public enum EventPropertyType: Sendable {
    case INTEGER
    case STRING
    case TIMESTAMPZ
    case UNKNOWN
}
```

`ComponentEvent` は、`NubrickSDK.initialize(...)` または `NubrickSDK.embedding(...)` を呼び出す際に `onEvent` 引数を使ってリッスンできます。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nubrick.app/reference/ios/events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
